%define cvs_date _002_20050530

# Note that this is NOT a relocatable package
Name: epeg
Version: 0.9.0
Release: alt0.2%cvs_date

Summary: JPEG Scaling Library
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org
Source: %name-%version%cvs_date.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: gcc-c++ hostinfo libjpeg-devel libstdc++-devel

%description
It's a convenience library API to using libjpeg to load JPEG
images destined to be turned into thumbnails of the original, saving
information with these thumbnails, retreiving it and managing to load the image
ready for scaling with the minimum of fuss and CPU overhead.

%package -n lib%name
Summary: epeg library
Group: System/Libraries

%description -n lib%name
It's a convenience library API to using libjpeg to load JPEG
images destined to be turned into thumbnails of the original, saving
information with these thumbnails, retreiving it and managing to load the image
ready for scaling with the minimum of fuss and CPU overhead.

This package contains shared epeg library.

%package -n lib%name-devel
Summary: epeg headers and development libraries
Group: Development/C
Requires: lib%name = %version

%description -n lib%name-devel
It's a convenience library API to using libjpeg to load JPEG
images destined to be turned into thumbnails of the original, saving
information with these thumbnails, retreiving it and managing to load the image
ready for scaling with the minimum of fuss and CPU overhead.

This package contains epeg headers and development libraries

%package -n lib%name-devel-static
Summary: epeg static libraries
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name-devel-static
It's a convenience library API to using libjpeg to load JPEG
images destined to be turned into thumbnails of the original, saving
information with these thumbnails, retreiving it and managing to load the image
ready for scaling with the minimum of fuss and CPU overhead.

This package contains static libraries

%prep
%setup -q -n %name

%build
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake --foreign --add-missing
%__autoconf

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n %name
%exclude %_bindir/*-config
%_bindir/*
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog NEWS README

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
#_libdir/*.la

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif


%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.9.0-alt0.2_002_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.2_002_20050329
- updated from cvs.

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 0.9.0-alt0.1_20041022
- First build for Sisyphus.

